Subject: bug#11868: 24.1.50; [python-mode] Blocking call to accept-process-output with quit inhibited!! (message buffer)

From: Yagnesh Raghava Yakkala <[email-masked]>
Date: Wed, 11 Jul 2012 02:08:09 +0900

Hello Glenn,

Glenn Morris <[email-masked]> writes:

> Yagnesh Raghava Yakkala wrote:
>
>> I see this message when ever I try to use completion feature in python-mode.
>
> Which mode for python? The one that comes with Emacs?
> ("python-mode.el" does not.)

I meant "python.el" shipped with emacs trunk. sorry for not being clear.

>
>> http://lists.gnu.org/archive/html/emacs-devel/2010-09/msg00199.html
>>
>> I couldn't understand what was discussed in that thread.
>
> http://lists.gnu.org/archive/html/emacs-devel/2010-09/msg00201.html
>
> seems fairly clear. python mode should consider adding a with-local-quit
> somewhere in its completion code.

I could suppress the warning by wrapping function "with-local-quit". But It
seems python completion function is interacting with inferior process through
the comint mode, does it mean problem is in comint.? 

>> Steps reproduce this behavior:
>> 1) emacs -q
>> 2) C-x C-f test.py
>> 3) C-c C-c  # start a inferior process
>> 4) type some thing and hit M-tab
>
> This just prints "no match" for me.

above in step 4 pressing M-tab where there can be matchable list,

could you try for example some thing like this, (make sure first line
passes to the python process with C-c C-c)

--8<---------------cut here---------------start------------->8---
import os
os.<M-tab here>
--8<---------------cut here---------------end--------------->8---

Thanks.,
-- 
ఎందరో మహానుభావులు అందరికి వందనములు
YYR